Image - Get Metadata
Ottiene i metadati per l'oggetto Image specificato.
GET https://prod.core.sphere.azure.net/v2/tenants/{tenantId}/images/{imageId}/metadata
Parametri dell'URI
| Nome | In | Necessario | Tipo | Descrizione |
|---|---|---|---|---|
|
image
|
path | True |
string uuid |
ID immagine. |
|
tenant
|
path | True |
string uuid |
ID tenant di Azure Sphere. |
Risposte
| Nome | Tipo | Descrizione |
|---|---|---|
| 200 OK |
Operazione completata. |
Esempio
Get an image's metadata
Sample Request
GET https://prod.core.sphere.azure.net/v2/tenants/768c2cd6-1bf0-4521-9f53-084a331d81cb/images/985453bb-eb5c-4ff2-8e06-aef4786ac445/metadata
Sample Response
{
"Id": "985453bb-eb5c-4ff2-8e06-aef4786ac445",
"Name": "DishwasherHighLevelApp",
"ComponentId": "45f4d635-1ac8-4fc3-b386-ffb74f13331f",
"Description": null,
"ImageType": 10,
"Type": 10
}
Definizioni
ImageMetadata
| Nome | Tipo | Descrizione |
|---|---|---|
| ComponentId |
string |
Ottiene o imposta l'identificatore del componente. |
| Description |
string |
Ottiene o imposta le informazioni che descrivono l'immagine. |
| Id |
string |
Ottiene o imposta l'identificatore dell'immagine. |
| ImageType |
integer |
Questa proprietà è deprecata. Usare ImageMetadata.Type |
| Name |
string |
Ottiene o imposta il nome dell'immagine. |
| Type |
enum:
|
Ottiene o imposta il tipo dell'immagine. |